﻿using System.Windows;
using ELTE.Windows.StudentsList.ViewModel;
using ELTE.Windows.StudentsList.View;

namespace ELTE.Windows.StudentsList
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            Startup += new StartupEventHandler(App_Startup);
        }

        private void App_Startup(object sender, StartupEventArgs e)
        {
            StudentsContext dbContext = new StudentsContext("name=StudentListModel"); // adatbázis kontextus létrehozása
            StudentsViewModel viewModel = new StudentsViewModel(dbContext); // nézetmodell létrehozása

            MainWindow window = new MainWindow(); // nézet létrehozása
            window.DataContext = viewModel; // nézetmodell és modell társítása

            window.Show();
        }
    }
}
